# Accessibility::Hypertext Interface Reference

`import "Accessibility_Hypertext.idl";`

## Public Member Functions

long | getNLinks ()
Hyperlink | getLink (in long linkIndex)
long | getLinkIndex (in long characterIndex)

## Detailed Description

An interface used for objects which implement linking between multiple resource or content locations, or multiple 'markers' within a single document. A Hypertext instance is associated with one or more Hyperlinks, which are associated with particular offsets within the Hypertext's included content.

Note:
  While this interface is derived from Text, there is no requirement that Hypertext instances have textual content; they may implement Image as well, and Hyperlinks need not have non-zero text offsets.

## Member Function Documentation

long Accessibility::Hypertext::getNLinks | ( |  | ) |

Query the hypertext object for the number of Hyperlinks it contains.

Returns:
  the number of Hyperlinks associated with this Hypertext object, as a long integer.

Hyperlink Accessibility::Hypertext::getLink | ( | in long | linkIndex | ) |

Get one of the Hyperlinks associated with this Hypertext object, by index.

Parameters:

  | linkIndex | an integer from 0 to getNLinks() - 1.

Returns:
  the Hyperlink in this Hypertext object.

long Accessibility::Hypertext::getLinkIndex | ( | in long | characterIndex | ) |

Get the hyperlink index, if any, associated with a particular character offset in the Hypertext object. For Hypertext implementors without textual content, all hyperlinks are associated with character offset '0'.

Returns:
  the index of the Hyperlink associated with character offset `characterIndex`, or -1 if no Hyperlink is associated with that character offset.

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Hypertext.idl